﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #171717;
}


a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.list-view {
    box-shadow: 2px 2px 4px 2px black;
    width: 100%;
    height: 60px;
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 20px;
    
    color:white;
}

.list-view-alt-even {
    background-color: #434343;
}
.list-view-alt-odd {
    background-color: #595959;
}

    .list-view .list-view-header {
        font-weight:bold;
    }
    .list-view .list-view-body {
        font-size: 30px;
        height:100%;
    }

    .list-view .heading {
        grid-column: span 2;
        font-size: 30px;
    }

.list-view .col-alt {
    background-color: rgba(255, 255, 255, 0.1);
}


.list-view .subheading {
    display: flex;
    justify-content: space-around;
    font-size: 24px;
}

    .list-view .list-view-content {
        display: grid;
        grid-template-columns: 2% 18% 8% 8% 8% 8% 8% 8% 8% 8% 8% 8%;
        text-align:center;
        height: 100%;
    }

    .list-view .list-view-content > div {
        padding-top:5px;
        height: 100%;
    }

        .list-view .list-view-content > a {
            padding-top: 5px;
            height: 100%;
        }

    .list-view .list-view-team {
        width: 8px;
        height: 60px;
    }

    .list-view .team-Blue {
        background-color: blue;
    }

    .list-view .team-Red {
        background-color: darkred;
    }
    .list-view .team-Yellow {
        background-color: yellow;
    }

    .list-view .team-Proactive {
        background-color: green;
    }

.ticket-view {
    box-shadow: 2px 2px 4px 2px black;
    /*height: 50px;*/
    margin-top: 4px;
    margin-bottom: 4px;
    color: white;
}

.timeentry {
    margin-left: 2px;
    margin-right: 2px;
    padding-top: 3px;
}

.ticket-view-row {
    display: grid;
    grid-template-columns: 1% 70% 14% 14% 1%;
    font-size: 25px;
}

.ticket-view-header {
    display: grid;
    grid-template-columns: 35% 35% 15% 15%;
    font-size: 25px;
    padding-left: 6px;
}

.ticket-list-header {
    display: grid;
    grid-template-columns: 100px 30% 35% 15% 15%;
    font-size: 25px;
    padding-left: 6px;
    /*padding-top:5px;*/
}

.ticket-view-type-Offline {
    background-color: rgba(255, 109, 0, 0.7);
}

.ticket-view-type-Support {
    background-color: rgba(0, 128, 0, 0.5);
}

.ticket-view-type-EscalationRequested {
    background-color: rgba(223, 31, 59, 0.5);
}

.ticket-view-type-Critical {
    background-color: rgba(255, 0, 0, 0.5);
}

.ticket-view-type-Escalated {
    background-color: rgb(247, 240, 23);
}

.ticket-view-type-CustomerUpdated {
    background-color: rgba(197, 131, 227, 0.50);
}

.colour-none {
    border: 1px solid rgba(255, 255, 255, 0.5);
    color: rgba(255, 255, 255);
    background-color: rgba(255, 255, 255, 0.1);
}

.colour-blue {
    border: 1px solid rgba(59, 179, 206, 0.5);
    color: rgba(59, 179, 206);
    background-color: rgba(59, 179, 206, 0.1);
}

.colour-yellow {
    border: 1px solid rgb(247, 240, 23, 0.7);
    color: rgb(247, 240, 23);
    background-color: rgb(247, 240, 23, 0.1);
}

.colour-green {
    border: 1px solid #3ecf05b8;
    color: #3ECF05;
    background-color: rgba(0, 128, 0, 0.1);
}

.colour-orange {
    border: 1px solid rgba(255, 109, 0, 0.7);
    color: rgba(255, 109, 0);
    background-color: rgba(255, 109, 0, 0.1);
}

.colour-red {
    border: 1px solid rgba(255, 0, 0, 0.5);
    color: rgba(255, 0, 0);
    background-color: rgba(255, 0, 0, 0.1);
}

.sla-colour-none {
    background-color: rgba(0, 128, 0, 0);
}

.sla-colour-blue {
    background-color: rgba(59, 179, 206, 0.5);
}

.sla-colour-green {
    background-color: rgba(0, 128, 0, 0.5);
}

.sla-colour-orange {
    background-color: rgba(255, 109, 0, 0.7);
}

.sla-colour-red {
    background-color: rgba(255, 0, 0, 0.5);
    animation-name: slaflash;
    animation-duration: 900ms;
    animation-iteration-count: 4;
    animation-timing-function: ease-in-out;
}

.sla-flash {
    animation-name: slaflash;
    animation-duration: 900ms;
    animation-iteration-count: 4;
    animation-timing-function: ease-in-out;
}

@keyframes slaflash {
    0% {
        background-color: rgba(255, 0, 0, 0.5);
    }

    22% {
        background-color: Yellow;
    }

    77% {
        background-color: rgba(255, 0, 0, 0.5);
    }

    100% {
        background-color: rgba(255, 0, 0, 0.5)
    }
}

.ticket-view .ticket-view-header {
    font-weight: bold;
}

.ticket-view .ticket-view-body {
    font-size: 30px;
    height: 100%;
}
.ticket-view .ticket-view-body > div {
    padding-left:5px;
    padding-right:5px;
}

.ticket-view .heading {
    grid-column: span 2;
    font-size: 30px;
}

.ticket-view .col-alt {
    background-color: rgba(255, 255, 255, 0.1);
}


.ticket-view .subheading {
    display: flex;
    justify-content: space-around;
    font-size: 24px;
}

@media (min-width: 769px) {

    .ticket-view .ticket-view-content {
        display: grid;
        grid-template-columns: 70px 40% 60%;
        text-overflow: ellipsis;
        overflow-y: hidden;
        white-space: nowrap;
        overflow-x: hidden;
        text-align: left;
        height: 100%;
        background-color: #2e2e2e;
    }

    #mobile_title {
        display: none;
    }
}
.ticket-view .ticket-view-content > div {
    padding-top: 2px;
    height: 100%;
    padding-left: 6px;
    padding-right: 6px;
    overflow-x: hidden;
    text-overflow: ellipsis;
    margin-right: 70px;
}

.ticket-view .ticket-list-content {
    display: grid;
    grid-template-columns: 100px 40% 60%;
    overflow-y: hidden;
    white-space: nowrap;
    overflow-x: hidden;
    text-align: left;
    height: 100%;
    background-color: #2e2e2e;
}

    .ticket-view .ticket-list-content > div {
        padding-top: 2px;
        height: 100%;
        padding-left: 6px;
        padding-right: 6px;
    }

.hidden {
    display:none;
}

.img_crit {
    position: absolute;
    left: 0;
    top: 40px;
    animation-name: moove_left;
    animation-duration: 6s;
    left: -474px;
    animation-iteration-count: 1;
}

.img_offline {
    position: absolute;
    left: -650px;
    bottom: 0;
    animation-name: moove_bot;
    animation-duration: 6s;
    animation-iteration-count: 1;
}

.img_clear {

}


.test {
    animation-name: squash;
    animation-duration: 1s;
    animation-iteration-count: 1;
}

@keyframes squash {
    0% {
        height: 60px;
    }

    100% {
        height: 0px;
    }
}

@keyframes moove_left {
    0% {
        left: -474px
    }

    15% {
        left: 0px;
    }

    70% {
        left: 0px
    }

    100% {
        left: -474px;
    }
}

@keyframes moove_clear {
    0% {
        left: -500px
    }

    100% {
        left: 1000px;
    }
}

@keyframes moove_bot {
    0% {
        left: -650px
    }

    15% {
        left: 0px;
    }

    70% {
        left: 0px
    }

    100% {
        left: -650px
    }
}

.leave-text {
    color: mediumpurple !important;
}

.error-text {
    color: red !important;
}

.stats-bar {
    display: flex;
    width:100%;
}

    .stats-bar .stats-block {
        box-shadow: 2px 2px 4px 2px black;
        margin-top: 8px;
        margin-bottom: 8px;
        background-color: darkslategrey;
        justify-content: space-around;
        font-size: 40px;
        color: white;
        width: 100%;
        display: flex;
    }

        .stats-bar .stats-block:hover {
            background-color: #595959;
            text-decoration: none;
        }
.navlink {
    text-decoration: none !important;
    color: white;
}

    .navlink:hover {
        background-color: darkslategray !important;
        color: white;
    }

@media (max-width: 1024px)
{
    #ticket_time_date {
        display:none;
    }

    #logged_date {
        display: none;
    }
}

.bodycontainer {
    padding-left: 1rem !important;
    padding-right: 1rem !important;
}

@media (max-width: 768px)
{
    .timeentry {
        margin-left: 3px;
    }

    .bodycontainer {
        padding-left: 0rem !important;
        padding-right: 0rem !important;
    }

    #mobile_title {
        font-size: 35px;
    }

    #stats_value {
        font-size: 35px;
    }

    #logged {
        display: none;
    }

    #header_logged {
        display: none;
    }

    #full_title {
        display: none;
    }

    #header_due {
        display: none;
    }

    .ticket-view-header {
        display: grid;
        grid-template-columns: 42% 42% 16%;
        font-size: 25px;
        padding-left: 6px;
    }

    .ticket-view .ticket-view-content {
        display: grid;
        width: 100%;
        grid-template-rows: 5px 40px 80px;
        overflow-y: hidden;
        /*white-space: nowrap;*/
        overflow-x: hidden;
        text-align: left;
        height: 120px;
        background-color: #2e2e2e;
    }

    /* NEW CSS */
    /* Container css for ticket status */
    .status-container {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 20px;
    }

    .status-item {
        background-color: white;
        border: 1px solid #ccc;
        border-radius: 8px;
        padding: 20px;
        text-align: center;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }

    .status-item h2 {
        margin: 0;
    }

    .status-item p {
        font-size: 30px;
        margin: 5px 0 0;
    }
}

.broken {
    animation: broken 2s forwards;
    transform: translate3d(0, -2000px, 0);
    opacity: 0;
}

/* Animation for where the ticket will fall off the screen if it has been resolved */
@keyframes broken {
    0% {
        transform: translate3d(0,0,0);
        opacity: 1;
    }

    5% {
        transform: rotate(2deg);
    }

    15% {
        transform: rotate(-2deg);
    }

    20% {
        transform: rotate(2deg);
    }

    25% {
        transform: rotate(-2deg);
    }

    50% {
        transform: rotate(30deg);
    }

    70% {
        transform: translate3d(0,2000px,0);
        opacity: 1;
    }

    75% {
        opacity: 0;
    }

    100% {
        transform: translate3d(0,-2000px,0);
    }
}

.marquee {
    background: #2D2D2D;
    overflow: hidden;
    position: relative;
}

.marquee div {
    display: block;
    width: 200%;
    height: 100%;
    position: absolute;
    overflow: hidden;
    animation: marquee 35s linear infinite;
}

.marquee span {
    float: left;
    font-size: 30px;
    color: white;
    margin-top: 4px;
    width: 50%;
}

@keyframes marquee {
    0% {
        left: 0;
    }

    100% {
        left: -100%;
    }
}